Retrieve Machine validation results

View as Markdown

Retrieve validation results for a specific Machine.

Org must have an Infrastructure Provider entity that owns the Machine. User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
machineIdstringRequired
ID of the Machine

Response

Machine validation results
namestring
Name of the validation test.
descriptionstring
Description of the validation test.
commandstring
Command executed by the validation test.
argsstring
Arguments supplied to the validation command.
stdOutstring
Standard output from the validation command.
stdErrstring
Standard error from the validation command.
contextstring
Context in which the validation test ran.
exitCodeinteger
Exit code returned by the validation command.
startTimedatetime
Time the validation test started.
endTimedatetime
Time the validation test completed.
validationIDstring
ID of the Machine validation run.
testIDstring
ID of the validation test.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error